Bug 707833 - RFE: consolidate database entries
RFE: consolidate database entries
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks: 820023
  Show dependency treegraph
 
Reported: 2011-05-26 02:05 EDT by Jeff Fearn
Modified: 2012-10-30 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump file to show formats in a comma seperated list (662 bytes, text/xml)
2012-06-15 23:28 EDT, Tim Hildred
no flags Details

  None (edit)
Description Jeff Fearn 2011-05-26 02:05:24 EDT
Description of problem:
The DB has one entry for each format shipped in a package. There only needs to be one entry with an extra field for tracking the formats.

Version-Release number of selected component (if applicable):
2.5

How reproducible:
Always

Steps to Reproduce:
1. Install a book in a web site
  
Actual results:
One DB row for each format.

Expected results:
One row with details for all formats.

Additional info:
mmm pavlova
Comment 1 Jeff Fearn 2012-03-14 03:29:38 EDT
Consolidated format field in to formats field, which is a comma separated list of formats as per the cfg file & command line usage.

QA-NOTE: this breaks backwards compatibility with Publican 2 database structure. Need to document migrate_site action.

Pushed To ssh://git.fedorahosted.org/git/publican.git
   403d79f..ec0e254  master -> master
Comment 2 Michael Hideo 2012-06-07 21:35:13 EDT
generate a publican website. review dump.xml. verify dumpt.xml should not contain separate rows for each format of each book.
Comment 3 Michael Hideo 2012-06-07 21:38:12 EDT
generate a publican website. review dump.xml. verify dumpt.xml should not contain separate rows for each format of each book.
Comment 4 Tim Hildred 2012-06-15 23:28:09 EDT
Created attachment 592274 [details]
Dump file to show formats in a comma seperated list

This attachment shows that the bug has been fixed.
Comment 5 Tim Hildred 2012-06-15 23:32:33 EDT
You can see from the attachment that the DUMP.XML now lists formats of installed books as on entry of a comma seperated list.

Note You need to log in before you can comment on or make changes to this bug.